# Class MinilinksLink<Ref>

#### Type Parameters

- Ref extends Id

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:110

#####
Index

### Constructors

constructor

### Properties

_applies
_from_id?
_id
_namespaces
_to_id?
_type_id
id
ml?
number?
object?
string?

### Accessors

displayId
from
from_id
in
inByType
out
outByType
to
to_id
type
type_id
typed
value

### Methods

is
toPlain

##
Constructors

### constructor

- new MinilinksLink<Ref>(link): MinilinksLink<Ref>

- #### Type Parameters

  - Ref extends Id

  #### Parameters

  - link: any

  #### Returns MinilinksLink<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:182

##
Properties

### _applies

_applies: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:180

### `Optional`_from_id

_from_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:115

### _id

_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:112

### _namespaces

_namespaces: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:181

### `Optional`_to_id

_to_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:116

### _type_id

_type_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:114

### id

id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:113

### `Optional` ml

ml?: MinilinkCollection<any, any>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:111

### `Optional` number

number?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:178

### `Optional` object

object?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:179

### `Optional` string

string?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:177

##
Accessors

### displayId

- get displayId(): Id

- #### Returns Id

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:171

### from

- get from(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:165

### from_id

- get from_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:120
- set from_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:129

### in

- get in(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:141

### inByType

- get inByType(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:144

### out

- get out(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:153

### outByType

- get outByType(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:156

### to

- get to(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:168

### to_id

- get to_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:123
- set to_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:132

### type

- get type(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:138

### type_id

- get type_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:117
- set type_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:126

### typed

- get typed(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:135

### value

- get value(): any

- #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:174

##
Methods

### is

- is(query): boolean

- #### Parameters

  - query: QueryLink

  #### Returns boolean

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:204

### toPlain

- toPlain(): LinkPlain<Ref>

- #### Returns LinkPlain<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:201